import os

mainLayerFolder = 'C:\Users\Saul\Documents\Ih_AnalisisdeAreasNoSuperpuestasporMultiplesCapasconQGISyPyQGIS\Shp'
os.chdir(mainLayerFolder)

listFilterShapes = []
for item in os.listdir(os.getcwd()):
    if item[-3:]=='shp':
        listFilterShapes.append(item)

print(listFilterShapes)

dictFilterShapes = {}

for shape in listashapes:
    dictshapes[shape[:-4]] = iface.addVectorLayer(tutorialfolder + '/CapasFiltro/' + shape,shape[:-4],"ogr")
    
areaOfInterest = iface.addVectorLayer(tutorialfolder + '/AreadeInteres/AreadeInteres_Extended.shp' ,"ogr")
